/* END SCREEN part of RIDDLE BOX

   Screen that displays congratulations and gives an interface to open and close the compartment

   For more information please visit: https://www.instructables.com/id/Arduino-Riddlebox

   Licence: CC-BY-SA
   https://creativecommons.org/licenses/by-sa/2.5/
   //th 01/2018
*/
void endScreen() {
  delay(250);
  lcd.clear();
  lcd.setCursor(2, 0);
  lcd.print("CONGRATULATIONS!");
  lcd.setCursor(0, 1);
  lcd.print("You solved all the");
  lcd.setCursor(0, 2);
  lcd.print("riddles");
  lcd.setCursor(18, 3);
  lcd.print(">>");
  do {
    char key = kpd.getKey();
    if (key == '#') {
      break;
    }
  } while (true);

  lcd.clear();
  lcd.home();

  //Getting switch state
  switchState1 = digitalRead(keySwitch1);
  switchState2 = digitalRead(keySwitch2);

  //If either switch pin is pulled low by the normally open key switch, operator is asked to turn to the center position
  if (switchState1 == LOW || switchState2 == LOW) {
    lcd.setCursor(0, 1);
    lcd.print("Turn the key to the");
    lcd.setCursor(0, 2);
    lcd.print("center position");
    do {
      switchState1 = digitalRead(keySwitch1);
      switchState2 = digitalRead(keySwitch2);
    } while (switchState1 == LOW || switchState2 == LOW);
  }
  //If / when keyswitch is in center position, operational text is displayed
  if (switchState1 == HIGH && switchState2 == HIGH) {
    lcd.clear();
    lcd.setCursor(0, 1);
    lcd.print("Turn left to open");
    lcd.setCursor(0, 2);
    lcd.print("Turn right to close");
  }
  //Door should be closed by default
  boolean doorOpen = false;
  //Key switch state read to open or close compartment with servos
  do {
    switchState1 = digitalRead(keySwitch1);
    switchState2 = digitalRead(keySwitch2);
    if (switchState1 == LOW && doorOpen == false) {
      //Open lock and after delay open the compartment
      lockServo.write(90);
      delay(500);
      doorServo.write(10);
      doorOpen = true;
    } else if (switchState2 == LOW && doorOpen == true) {
      //Close door and after delay close lock
      doorServo.write(90);
      delay(500);
      lockServo.write(10);
      doorOpen = false;
    }
  } while (true);
}
